Summary: Desktop backgrounds packaged with Fuduntu Linux
Name: fuduntu-backgrounds
Version: 2012
Release: 2
License: Mixed Community Commons and Proprietary
Group: Applications/Multimedia
URL: http://www.fuduntu.org
Source0: %{name}-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: fuduntu-release
Requires:	gdm
Requires:	GConf2
Requires:	fuduntu-release
Provides:	system-backgrounds-gnome
Obsoletes:	laughlin-backgrounds-gnome
Obsoletes:	laughlin-backgrounds-single
Provides:	laughlin-backgrounds-gnome
Provides:	laughlin-backgrounds-single
Provides:	laughlin-backgrounds

%description
Fuduntu Wallpaper - (c) MonkeyAbout
  Licensed under Creative Commons
Additional Fuduntu Wallpapers -(c) Halzen
  Licensed under GPL v3
Fuduntu 3D Logo - (c) Legendary Bibo
  Licensed under the Artistic license
ESVedra - (c) Everest
  Licensed under Creative Commons

%prep
%setup -q

#%build
%post
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -t str -s /desktop/gnome/background/picture_filename "/usr/share/backgrounds/Fuduntu/Fuduntu_Logo2.png"
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -t str -s /desktop/gnome/background/picture_options "zoom"

%install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/{backgrounds,gnome-background-properties}

mv Everest $RPM_BUILD_ROOT%{_datadir}/backgrounds
mv Fuduntu $RPM_BUILD_ROOT%{_datadir}/backgrounds
mv Halzen $RPM_BUILD_ROOT%{_datadir}/backgrounds
mv fuduntu-wallpaper.xml $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_datadir}/gnome-background-properties
%{_datadir}/backgrounds/*

%changelog
* Fri Mar 02 2012 Andrew Wyatt <andrew@fuduntu.org> 2012-2
- Add Fuduntu 3D Logo by Legendary Bibo

* Fri Feb 03 2012 Andrew Wyatt <andrew@fuduntu.org> 2012-1
- Add Fuduntu Moon by M4t3us

* Fri Oct 10 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0-19
- Move GDM UI to gdm package

* Tue Jun 14 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0-18
- Add Wallpapers created by Halzen for Fuduntu

* Mon May 16 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0-17
- Drop less popular wallpapers

* Fri Apr 01 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0-16
- Replace overwritten GDM schema

* Sun Mar 21 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0-15
- Fix background provides for LXDE (and possibly other packages)

* Sun Mar 20 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0-14
- Fix background xml to display Fuduntu Logo 2 in appearance preferences

* Thu Mar 03 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0-13
- Updated with new versions of Fuduntu wallpaper
- New GDM UI schema
- Updated dependencies

* Mon Mar 01 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0-6
- Removed some of the wallpapers that didn't flow well
- Corrected for new default GDM wallpaper

* Mon Feb 21 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0
- Fuduntu Wallpaper Initial Package
